=== debian/changelog ===
bitlbee (3.6-2) unstable; urgency=medium

  * QA upload.

  [ Andreas Tille ]
  * Move Debian maintenance to Debian/ team on Salsa
    Closes: #1114687
  * Take over further d/copyright changes from Github packaging
  * d/watch: version=4
  * Remove old FSF address from d/copyright
  * Remove Homepage field from d/u/metadata
  * Short dh
  * Install systemd unit provided by upstream
    Closes: #981437, #1039138
  * d/copyright: Remove old FSF address
  * Drop unused lintian-override
  * Apply patch via quilt instead manually in d/rules
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Do not parse d/changelog (routine-update)
  * bitlbee-common: Pre-Depends: ${misc:Pre-Depends}
  * lintian-overrides: Seems upstream prefers errors to syslog instead of the
    default journal
  * Update renamed lintian tag names in lintian overrides.

  [ Jelmer Vernooĳ ]
  * Use secure URI in debian/watch.
  * Use secure URI in Homepage field.
  * Add missing colon in closes line.
  * Remove obsolete fields Name from debian/upstream/metadata.
  * Add configuration to prevent lintian-brush upgrading to newer version of
    debhelper.
  * Fix day-of-week for changelog entries 0.81a-1.
  * Set upstream metadata fields: Repository.
  * Use system libjsonparser rather than bundled one.
    Closes: #958251

 -- Andreas Tille <tille@debian.org>  Sat, 11 Oct 2025 07:47:15 +0200

bitlbee (3.6-1.5) unstable; urgency=medium

  * Non-maintainer upload.
  * Replace libgcrypt-configure with pkg-config (Closes: #1070904)

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 14 Feb 2025 08:20:44 +0100

bitlbee (3.6-1.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Convert to source format 3.0. (Closes: #1064217)

 -- Bastian Germann <bage@debian.org>  Sat, 23 Mar 2024 21:05:25 +0000

bitlbee (3.6-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules: Add build-{arch,indep} (Closes: #999197).

 -- Marcos Talau <marcos@talau.info>  Tue, 05 Apr 2022 14:18:09 -0300

bitlbee (3.6-1.2) unstable; urgency=medium

  [ Matthias Klose ]
  * Build using python3 (Closes: #942954)

  [ Gunnar Wolf ]
  * Drop build-dep on transitory package dh-systemd, provided by
    debhelper >=9.2 (Closes: #958606)

 -- Gunnar Wolf <gwolf@debian.org>  Sun, 30 Aug 2020 23:46:49 -0500

bitlbee (3.6-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply patch to d/copyright provided by Jochen Sprickerhof
    Closes: #883872

 -- Andreas Tille <tille@debian.org>  Thu, 18 Apr 2019 21:27:48 +0200

bitlbee (3.6-1) unstable; urgency=medium

  [ dequis ]
  * Remove bitlbee-plugin-skype and skyped (obsolete)
  * Enable only bitlbee.service, not bitlbee.socket too

  [ dequis ]
  * Fix lintian pkg-config-unavailable-for-cross-compilation

  [ Jelmer Vernooĳ ]
  * Add debian upstream metadata file.
  * Trim trailing whitespace.

  [ Debian Janitor ]
  * Bump debhelper from old 9 to 10.
  * Trim trailing whitespace.

 -- Wilmer van der Gaast <wilmer@gaast.net>  Sat, 02 Mar 2019 22:18:21 +0000

bitlbee (3.5.1-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Comment out bitlbee-plugin-skype and skyped in d/control (Closes: #921895).
    These binary packages are not built by d/rules by default, and as such
    they are not currently in the archive.  Commenting them out in order
    to avoid my NMU hitting binNEW; this caused the -1.1 source-only
    upload to fail.
    Thank you to Mattia Rizzolo for suggesting this fix.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 09 Feb 2019 17:03:38 -0700

bitlbee (3.5.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add existence check to chmod call in bitlbee-common.postinst
    (Closes: #816200).

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 25 Jan 2019 16:50:34 -0700

bitlbee (3.5.1-1) unstable; urgency=medium

  * Crash bug fix. (Closes: #853282)

 -- Wilmer van der Gaast <wilmer@gaast.net>  Thu, 09 Feb 2017 00:46:53 +0000

bitlbee (3.5-2) unstable; urgency=medium

  * TFW you find out the corrected fix diff posted on #821967 was still the
    broken one and you end up doing your third upload in a weekend. :-(
    Obviously build-* targets shouldn't call into binary-*, as that one
    starts requiring root. This broke builds on buildd's.
  * Now contains the same fix like 3.4.2-1.1, which as it turns out 3.5-1.1
    did not. (Closes: #853017)

 -- Wilmer van der Gaast <wilmer@gaast.net>  Sat, 28 Jan 2017 21:06:27 +0000

bitlbee (3.5-1.1) unstable; urgency=medium

  [ dequis ]
  * Merge back changes from 3.4.2-1.1 (Closes: #852897)

 -- dequis <dx@dxzone.com.ar>  Thu, 26 Jan 2017 21:39:24 -0300

bitlbee (3.5-1) unstable; urgency=medium

  [ Jochen Sprickerhof ]
  * Drop dependency on net-tools

  [ dequis ]
  * Use dh_systemd
  * Drop support for /etc/default/bitlbee
  * Drop debconf and its translations (only used to ask for the port)
  * Add preinst script for a smoother transition to systemd units
  * Ignore the stdout of deluser, fixes postrm error exit code
  * Remove some mentions of yahoo in control and copyright
  * Remove outdated stuff from README.debian

  [ Wilmer van der Gaast ]
  * New upstream release.

 -- Wilmer van der Gaast <wilmer@gaast.net>  Tue, 24 Jan 2017 22:21:33 +0000

bitlbee (3.4.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Adding build-{arch,indep} targets. (Closes: #821967)
  * Added python to build depends.

 -- Michael Lustfield <michael@lustfield.net>  Mon, 18 Jul 2016 01:02:17 -0700

bitlbee (3.4.2-1) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Make the build reproducible by not encoding ARCH / CPU defines in
    the binary.
  * Fix Vcs-* control headers after migration to Git.
  * Don't start synopsis with an article.
  * Bump standards version to 3.9.8 (no changes).
  * Use dh_prep rather than deprecated 'dh_clean -k'.

  [ Wilmer van der Gaast ]
  * New upstream release.


