=== debian/control ===
Source: bitlbee
Standards-Version: 4.7.2
Maintainer: Debian QA Group <packages@qa.debian.org>
Section: net
Priority: optional
Build-Depends:
 libglib2.0-dev,
 libevent-dev,
 libgnutls28-dev | libgnutls-dev | gnutls-dev,
 po-debconf,
 libpurple-dev,
 libotr5-dev,
 debhelper-compat (= 13),
 python3,
 libjsonparser-dev,
Vcs-Browser: https://salsa.debian.org/debian/bitlbee
Vcs-Git: https://salsa.debian.org/debian/bitlbee.git
Homepage: https://www.bitlbee.org/

Package: bitlbee
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 bitlbee-common (= ${binary:Version}),
Conflicts:
 bitlbee-libpurple,
Replaces:
 bitlbee-libpurple,
Description: IRC to other chat networks gateway (default version)
 This program can be used as an IRC server which forwards everything you
 say to people on other chat networks: Jabber (which includes Google
 Talk), and Twitter.

Package: bitlbee-libpurple
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 bitlbee-common (= ${binary:Version}),
Conflicts:
 bitlbee,
Replaces:
 bitlbee,
Description: IRC to other chat networks gateway (using libpurple)
 This program can be used as an IRC server which forwards everything you
 say to people on other chat networks: Jabber (which includes Google
 Talk), and Twitter.
 .
 This package contains a version of BitlBee that uses the libpurple instant
 messaging library instead of built-in code, which adds support for more IM
 protocols (all protocols supported by Pidgin/Finch) and features (like file
 transfers), at the price of being less lightweight.
 .
 If you don't need the extra features, it's better to use the built-in code.

Package: bitlbee-common
Architecture: any
Depends:
 ${misc:Depends},
 adduser,
Replaces:
 bitlbee,
Pre-Depends: ${misc:Pre-Depends}
Description: IRC to other chat networks gateway (common files/docs)
 This program can be used as an IRC server which forwards everything you
 say to people on other chat networks: Jabber (which includes Google
 Talk), and Twitter.
 .
 This package contains common files (mostly documentation) for bitlbee and
 bitlbee-libpurple.

Package: bitlbee-dev
Architecture: any
Depends:
 ${misc:Depends},
 bitlbee (= ${binary:Version}) | bitlbee-libpurple (= ${binary:Version}),
 bitlbee-common (= ${binary:Version}),
Description: IRC to other chat networks gateway (dev files)
 This program can be used as an IRC server which forwards everything you
 say to people on other chat networks: Jabber (which includes Google
 Talk), and Twitter.
 .
 This package holds development stuff for compiling plug-ins.

Package: bitlbee-plugin-otr
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 bitlbee (= ${binary:Version}) | bitlbee-libpurple (= ${binary:Version}),
 bitlbee-common (= ${binary:Version}),
Description: IRC to other chat networks gateway (OTR plugin)
 This program can be used as an IRC server which forwards everything you
 say to people on other chat networks: Jabber (which includes Google
 Talk), and Twitter.
 .
 This package contains a plugin that adds support for Off-The-Record
 encryption of instant messages.
