=== debian/watch ===
version=4
https://get.bitlbee.org/src/bitlbee-(.*).tar.gz
